Update from SLES 12 sp4 to sp5 failes

byte_maikelbyte_maikel New or Quiet Member
Update on x86_64 from SLES 12 sp4 to sp5 fails with
"Calling the YaST module `inst_proposal has failed
and
"Cannot read the current RPM database".

Only choice is to abort the update!
yast_1.jpg?dl=0

yast_2.jpg?dl=0

Comments

  • byte_maikelbyte_maikel New or Quiet Member
    Here are the sreenshots:

    https://www.dropbox.com/s/wve7nl9sffpne66/yast_1.jpg?dl=0

    https://www.dropbox.com/s/beiwt4fch24sjt9/yast_2.jpg?dl=0

    Content form yast log file:

    YaST2 startup level (1)...
    Stage [1]: ==========================
    |-- declare -x Cmdline="splash=silent"
    |-- declare -x Device="disk/by-id/usb-SanDisk_Ultra_Fit_4C530001091017118452-0:0-part2"
    |-- declare -x EFI="0"
    |-- declare -x EGL_LOG_LEVEL="fatal"
    |-- declare -x ESCDELAY="10"
    |-- declare -x HOME="/"
    |-- declare -x InitrdID="2019-11-08.d7d42940"
    |-- declare -x InitrdModules="scsi_mod scsi_dh_alua scsi_dh_emc scsi_dh_rdac thermal libata sata_sil24 libahci ahci usbcore usbhid sd_mod iscsi_boot_sysfs cdrom sr_mod st sg"
    |-- declare -x Insecure="0"
    |-- declare -x InstsysID="2019-11-08.d7d42940"
    |-- declare -x Keyboard="1"
    |-- declare -x LD_LIBRARY_PATH=":/y2update/lib64:/y2update/lib:/y2update/plugin"
    |-- declare -x LIBGL_ALWAYS_INDIRECT="1"
    |-- declare -x Locale="en_US"
    |-- declare -x Manual="0"
    |-- declare -x MemFree="32645956"
    |-- declare -x OLDPWD
    |-- declare -x PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11/bin:/lbin"
    |-- declare -x PWD="/"
    |-- declare -x RepoURL="<RepoURL may contain sensitive information>"
    |-- declare -x SHLVL="4"
    |-- declare -x SSHD="0"
    |-- declare -x SelfUpdate="1"
    |-- declare -x SetHostname="1"
    |-- declare -x SetHostnameUsed="0"
    |-- declare -x Sourcemounted="1"
    |-- declare -x StartShell="0"
    |-- declare -x TERM="linux"
    |-- declare -x Textmode="0"
    |-- declare -x UpdateDir="/linux/suse/x86_64-sles12"
    |-- declare -x Upgrade="1"
    |-- declare -x UseSSH="0"
    |-- declare -x VNC="0"
    |-- declare -x WithFCoE="0"
    |-- declare -x WithiSCSI="0"
    |-- declare -x XCURSOR_THEME="DMZ"
    |-- declare -x Y2GDB="0"
    |-- declare -x YAST2_SSH="false"
    |-- declare -x YAST_DEBUG="/debug/yast.debug"
    |-- declare -x YaST2update="0"
    |-- declare -x ZyppRepoURL="<ZyppRepoURL may contain sensitive information>"
    |-- declare -x initrd="initrd"
    |-- declare -x install="hd:///"
    |-- declare -x kexec_reboot="1"
    |-- declare -x splash="silent"
    |-- declare -x upgrade="1"
    |-- Creating hook script list: preFirstStage...
    |-- Level 1 stages:
    |-- F02-hwinfo
    |-- F03-umount
    |-- F04-language
    |-- F05-cmdline
    |-- F06-terminal
    |-- F08-logging
    |-- F09-start
    |-- F10-cleanup
    Stage [1]: Starting F02-hwinfo...
    Stage [1]: ======================
    |-- Hardware detection for arch: x86_64
    Stage [1]: Starting F03-umount...
    Stage [1]: ======================
    |-- Trying to umount inst-sys exits with code: 0
    Stage [1]: Starting F04-language...
    Stage [1]: ========================
    |-- Language set to: en_US.UTF-8
    |-- Starting UTF-8 mode...
    Stage [1]: Starting F05-cmdline...
    Stage [1]: =======================
    Stage [1]: Starting F06-terminal...
    Stage [1]: ========================
    |-- Setup virtual console:
    |-- Lines: 67
    |-- Columns: 240
    |-- Type: linux
    Stage [1]: Starting F08-logging...
    Stage [1]: =======================
    |-- Set YaST2 LOG parameters:
    |-- Maximum log size: 10682393 kB
    |-- Maximum log count: 5
    Stage [1]: Starting F09-start...
    Stage [1]: =====================
    |-- Creating hook script list: preFirstCall...
    |-- Delegate program call to YaST2.call installation initial
    Stage [call]: Starting prequalification checks...
    Stage [call]: ===================================
    |-- Copying /etc/X11/xorg.conf.template to /etc/X11/xorg.conf
    |-- No SSH daemon running -> Medium SSH disabled
    Stage [call]: Evaluate medium selection...
    Stage [call]: ============================
    Stage [call]: Check selected medium...
    Stage [call]: ========================
    |-- Wished medium is: QT
    |-- Selected medium is: QT
    |-- X-Server is ready: 4196
    |-- Allow big memory allocation: overcommit_memory=1
    |-- Starting YaST2:
    |-- MODULE_NAME: installation
    |-- MODE_FLAGS:
    |-- MODULE_ARGS: --arg initial
    |-- MODE: qt
    |-- UI_ARGS: --noborder --auto-fonts --fullscreen
    |-- QT_IM_MODULE: xim
    |-- Allow big memory allocation: overcommit_memory=1
    |-- Starting YaST2:
    |-- MODULE_NAME: installation
    |-- MODE_FLAGS:
    |-- MODULE_ARGS: --arg initial
    |-- MODE: qt
    |-- UI_ARGS: --noborder --auto-fonts --fullscreen
    |-- QT_IM_MODULE: xim
    |-- YaST seems to be aborted abnormally !
    |-- Reset memory allocation: overcommit_memory=1
    |-- Reset memory allocation: overcommit_memory=0
    |-- Copy first level log file to installed system
  • malcolmlewismalcolmlewis Knowledge Partner
    Hi and welcome to the Forum :)
    Have you tried rebuilding the rpm database? I would look at using zypper migration from the command line and at runlevel three (multi-user target) to upgrade... or if really want to do it from the desktop run the screen command first.
    screen
    su -
    rpm --rebuilddb
    zypper ref -f
    zypper migration
    
Sign In or Register to comment.